TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(MenuLocation)
Line 15: Line 15:
{{GuiCommand
{{GuiCommand
|Name=TechDraw 3PtAngleDimension
|Name=TechDraw 3PtAngleDimension
|MenuLocation=TechDraw → Insert 3-Point Angle Dimension
|MenuLocation=TechDraw → Dimensions → Insert 3-Point Angle Dimension
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Version=0.18
|Version=0.18

Revision as of 08:46, 24 July 2023

TechDraw 3PtAngleDimension

Menu location
TechDraw → Dimensions → Insert 3-Point Angle Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.18
See also
TechDraw AngleDimension

Description

The TechDraw 3PtAngleDimension tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View.

Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle

Usage

  1. Select the points or edge which define your measurement.
  2. Press the 3-Point Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The 3-Point Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)